package com.leanwo.activiti.dto.base;

public class UserDto {
	/** ID. */
	protected Long id;

	/** 用户姓名. */
	private String name;

	/** 用户Id. */
	private Long userId;

	/** 用户登录名. */
	private String loginName;

	/** 用户编号. */
	private String no;

	/** 用户密码. */
	private String password;
	
	/** 用户密码加密. */
	private String passwordEncrypt;

	/** 单位Id. */
	private Long clientId;
	
	/** 单位名称. */
	private String clientName;

	/** 部门Id. */
	private Long organizationId;
	
	/** 部门 名称. */
	private String organizationName;


	/** 部门编号. */
	private String organizationNo;

	/** 备注. */
	private String description;

	/** EPC. */
	private String epc;

	/** 用户邮件. */
	private String email;

	/** 电话. */
	private String telPhone;
	
	/** 图片名称. */
	private String imageName;

	/**   需预约. */
	private Boolean needAppointment;

	/**   原系统Id. */
	private String syncId;

	/** 时间戳. */
	private byte[] pubUfts;


	/**
	 * Gets the iD.
	 *
	 * @return the iD
	 */
	public Long getId() {
		return id;
	}

	/**
	 * Sets the iD.
	 *
	 * @param id the new iD
	 */
	public void setId(Long id) {
		this.id = id;
	}
	
	/**
	 * Gets the 用户姓名.
	 *
	 * @return the 用户姓名
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the 用户姓名.
	 *
	 * @param name the new 用户姓名
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the 用户密码.
	 *
	 * @return the 用户密码
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * Sets the 用户密码.
	 *
	 * @param password the new 用户密码
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * Gets the 备注.
	 *
	 * @return the 备注
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * Sets the 备注.
	 *
	 * @param description the new 备注
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * Gets the 用户邮件.
	 *
	 * @return the 用户邮件
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * Sets the 用户邮件.
	 *
	 * @param email the new 用户邮件
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Gets the 用户登录名.
	 *
	 * @return the 用户登录名
	 */
	public String getLoginName() {
		return loginName;
	}

	/**
	 * Sets the 用户登录名.
	 *
	 * @param loginName the new 用户登录名
	 */
	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	/**
	 * Gets the 用户编号.
	 *
	 * @return the 用户编号
	 */
	public String getNo() {
		return no;
	}

	/**
	 * Sets the 用户编号.
	 *
	 * @param no the new 用户编号
	 */
	public void setNo(String no) {
		this.no = no;
	}

	/**
	 * Gets the 图片名称.
	 *
	 * @return the 图片名称
	 */
	public String getImageName() {
		return imageName;
	}

	/**
	 * Sets the 图片名称.
	 *
	 * @param imageName the new 图片名称
	 */
	public void setImageName(String imageName) {
		this.imageName = imageName;
	}

	/**
	 * Gets the  需预约.
	 *
	 * @return the  需预约
	 */
	public Boolean getNeedAppointment() {
		return needAppointment;
	}

	/**
	 * Sets the  需预约.
	 *
	 * @param needAppointment the new  需预约
	 */
	public void setNeedAppointment(Boolean needAppointment) {
		this.needAppointment = needAppointment;
	}

	/**
	 * Gets the  原系统Id.
	 *
	 * @return the  原系统Id
	 */
	public String getSyncId() {
		return syncId;
	}

	/**
	 * Sets the  原系统Id.
	 *
	 * @param syncId the new  原系统Id
	 */
	public void setSyncId(String syncId) {
		this.syncId = syncId;
	}

	/**
	 * Gets the 用户Id.
	 *
	 * @return the 用户Id
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * Sets the 用户Id.
	 *
	 * @param userId the new 用户Id
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

	/**
	 * Gets the 单位Id.
	 *
	 * @return the 单位Id
	 */
	public Long getClientId() {
		return clientId;
	}

	/**
	 * Sets the 单位Id.
	 *
	 * @param clientId the new 单位Id
	 */
	public void setClientId(Long clientId) {
		this.clientId = clientId;
	}

	/**
	 * Gets the 部门Id.
	 *
	 * @return the 部门Id
	 */
	public Long getOrganizationId() {
		return organizationId;
	}

	/**
	 * Sets the 部门Id.
	 *
	 * @param organizationId the new 部门Id
	 */
	public void setOrganizationId(Long organizationId) {
		this.organizationId = organizationId;
	}

	/**
	 * Gets the ePC.
	 *
	 * @return the ePC
	 */
	public String getEpc() {
		return epc;
	}

	/**
	 * Sets the ePC.
	 *
	 * @param epc the new ePC
	 */
	public void setEpc(String epc) {
		this.epc = epc;
	}

	/**
	 * Gets the 部门编号.
	 *
	 * @return the 部门编号
	 */
	public String getOrganizationNo() {
		return organizationNo;
	}

	/**
	 * Sets the 部门编号.
	 *
	 * @param organizationNo the new 部门编号
	 */
	public void setOrganizationNo(String organizationNo) {
		this.organizationNo = organizationNo;
	}

	/**
	 * Gets the 时间戳.
	 *
	 * @return the 时间戳
	 */
	public byte[] getPubUfts() {
		return pubUfts;
	}

	/**
	 * Sets the 时间戳.
	 *
	 * @param pubUfts the new 时间戳
	 */
	public void setPubUfts(byte[] pubUfts) {
		this.pubUfts = pubUfts;
	}

	/**
	 * Gets the 电话.
	 *
	 * @return the 电话
	 */
	public String getTelPhone() {
		return telPhone;
	}

	/**
	 * Sets the 电话.
	 *
	 * @param telPhone the new 电话
	 */
	public void setTelPhone(String telPhone) {
		this.telPhone = telPhone;
	}

	/**
	 * Gets the 用户密码加密.
	 *
	 * @return the 用户密码加密
	 */
	public String getPasswordEncrypt() {
		return passwordEncrypt;
	}
	
	/**
	 * Sets the 用户密码加密.
	 *
	 * @param passwordEncrypt the new 用户密码加密
	 */
	public void setPasswordEncrypt(String passwordEncrypt) {
		this.passwordEncrypt = passwordEncrypt;
	}

	public String getOrganizationName() {
		return organizationName;
	}

	public void setOrganizationName(String organizationName) {
		this.organizationName = organizationName;
	}

	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}
	
	
	
}

